summaryrefslogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..76e4e12
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -eu
+T=$(mktemp)
+trap "rm $T" EXIT
+echo '{ "a": 5, "b": {"c": 6, "d": "hello" } }' > $T
+python ghetto_json path=$T a=7 b.c=yellow b.d=unset
+diff -u <(printf '{\n "a": 7,\n "b": {\n "c": "yellow"\n }\n}') $T
+